summaryrefslogtreecommitdiff
path: root/tests.branching/add-then-edit.setup
diff options
context:
space:
mode:
Diffstat (limited to 'tests.branching/add-then-edit.setup')
-rwxr-xr-xtests.branching/add-then-edit.setup40
1 files changed, 40 insertions, 0 deletions
diff --git a/tests.branching/add-then-edit.setup b/tests.branching/add-then-edit.setup
new file mode 100755
index 00000000..7dbe28c0
--- /dev/null
+++ b/tests.branching/add-then-edit.setup
@@ -0,0 +1,40 @@
+#!/bin/sh
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+# Create goodbye chunk
+mkdir "$DATADIR/goodbye"
+cd "$DATADIR/goodbye"
+
+cat >goodbye <<'EOF'
+#!/bin/sh
+echo goodbye
+EOF
+chmod +x goodbye
+
+cat >goodbye.morph <<'EOF'
+{
+ "name": "goodbye",
+ "kind": "chunk",
+ "install-commands": [
+ "install goodbye \"$DESTDIR$PREFIX/bin/goodbye\""
+ ]
+}
+EOF
+git init .
+git add goodbye.morph goodbye
+git commit -m "Initial commit"